# Class ManageReferralControl

java.lang.Object
javax.naming.ldap.BasicControl
javax.naming.ldap.ManageReferralControl

All Implemented Interfaces:
  `Serializable, Control`

public final class ManageReferralControl extends BasicControl
Requests that referral and other special LDAP objects be manipulated as normal LDAP objects. It enables the requestor to interrogate or update such objects.

This class implements the LDAPv3 Request Control for ManageDsaIT as defined in RFC 3296. The control has no control value.

Since:
  1.5
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OID`
The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.

### Fields declared in class BasicControl

`criticality, id, value`
Modifier and Type
Field
Description
`protected boolean`
`criticality`
The control's criticality.
`protected String`
`id`
The control's object identifier string.
`protected byte[]`
`value`
The control's ASN.1 BER encoded value.

### Fields declared in interface Control

`CRITICAL, NONCRITICAL`
Modifier and Type
Field
Description
`static final boolean`
`CRITICAL`
Indicates a critical control.
`static final boolean`
`NONCRITICAL`
Indicates a non-critical control.

## Constructor Summary

Constructors
Constructor
Description
`ManageReferralControl()`
Constructs a critical ManageReferral control.
`ManageReferralControl(boolean criticality)`
Constructs a ManageReferral control.

## Method Summary

### Methods declared in class BasicControl

`getEncodedValue, getID, isCritical`
Modifier and Type
Method
Description
`byte[]`
`getEncodedValue()`
Retrieves the control's ASN.1 BER encoded value.
`String`
`getID()`
Retrieves the control's object identifier string.
`boolean`
`isCritical()`
Determines the control's criticality.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### OID

public static final String OID
The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.

See Also:
  - Constant Field Values

## Constructor Details

### ManageReferralControl

public ManageReferralControl()
Constructs a critical ManageReferral control.

### ManageReferralControl

public ManageReferralControl(boolean criticality)
Constructs a ManageReferral control.

Parameters:
  `criticality` - The control's criticality setting.